Skip to main content
GET
/
vault
/
accounts_paged
TypeScript
const response: Promise<FireblocksResponse<VaultAccountsPagedResponse>> = fireblocks.vaults.getPagedVaultAccounts(vaultsApiGetPagedVaultAccountsRequest);
{
  "accounts": [
    {
      "id": "<string>",
      "name": "<string>",
      "assets": [
        {
          "id": "<string>",
          "total": "<string>",
          "balance": "<string>",
          "available": "<string>",
          "pending": "<string>",
          "frozen": "<string>",
          "lockedAmount": "<string>",
          "staked": "<string>",
          "totalStakedCPU": "<string>",
          "totalStakedNetwork": "<string>",
          "selfStakedCPU": "<string>",
          "selfStakedNetwork": "<string>",
          "pendingRefundCPU": "<string>",
          "pendingRefundNetwork": "<string>",
          "blockHeight": "<string>",
          "blockHash": "<string>",
          "rewardsInfo": {
            "pendingRewards": "<string>"
          }
        }
      ],
      "hiddenOnUI": true,
      "customerRefId": "<string>",
      "autoFuel": true,
      "tags": [
        {
          "id": "df4c0987-30da-4976-8dcf-bc2dd41ae331",
          "label": "VIP",
          "isProtected": false,
          "updatedAt": 1717084800000,
          "description": "Tag for VIP customers",
          "color": "#FF5733",
          "pendingApprovalRequest": {
            "id": "12345",
            "type": "TAG_UPDATE",
            "state": "PENDING"
          }
        }
      ]
    }
  ],
  "paging": {
    "before": "<string>",
    "after": "<string>"
  },
  "previousUrl": "<string>",
  "nextUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

namePrefix
string
nameSuffix
string
minAmountThreshold
number

Specifying minAmountThreshold will filter accounts whose total balance is greater than this value; otherwise, it returns all accounts. The amount set in this parameter represents the native asset amount, not its USD value.

Example:

10

assetId
string
orderBy
enum<string>
default:DESC
Available options:
ASC,
DESC
before
string
after
string
limit
number
default:200
Required range: 1 <= x <= 500
tagIds
string<uuid>[]

DEPRECATED - use includeTagIds instead

Maximum array length: 50
includeTagIds
string<uuid>[]

List of tag IDs to include. Vault accounts with any of these tags will be included

Maximum array length: 50
excludeTagIds
string<uuid>[]

List of tag IDs to exclude. Vault accounts with any of these tags will be filtered out

Maximum array length: 50

Response

200 - application/json

A VaultAccountsPagedResponse object

accounts
object[]
paging
object
previousUrl
string
nextUrl
string